TU-Berlin | → | Inst. f. Mathematik | → | Algebra und Zahlentheorie | → | KASH | → | Documentation | → | Reference Manual

| KASH3 Reference Manual

Introduction | Reference Manual | Index

search

### Function

TransformationMatrix ( elt-ids^int/ord^num I ) -> elt-alg^mat, elt-ord^rat

### Optional Arguments

Results | elt-ord^rat |  | 1 <= Results <= 2

### Description

<shortdoc> The transformation matrix for ideal I, as an integral matrix and denominator. </shortdoc>

### Examples

x_o := MaximalOrder(X^4+3*X^2+7); x_i := Factorization(7*x_o); TransformationMatrix(x_i[3][1]);

| Built: Mon Nov 14 21:12:39 UTC 2005 on mack